<!DOCTYPE html>
<html>
<head>
<title>TV</title>

<style type="text/css">

html {
    height: 100%;
    font-family: Ubuntu, Arial, sans-serif;
}

body {
    padding: 0px;
    margin: 0px;
    height: 100%;
}

div.facets {
    margin: 4px;
    border: 1px solid grey;
    min-height: 99%;
    width: 15%;
    background-color: #bdd1d4;

    float: left;

    overflow: auto;
    resize: horizontal;
}

div.facets ul {
    list-style-type: none;
    list-style-position: none;
}

div.facets label {
    padding-left: 3px;
}

div.facets label.all {
    font-weight: bold;
}

div.prog {
    margin: 4px;
    display: inline-block;
    border: 1px solid black;
    width: 400px;
    height: 300px;
}

div.prog h3 {
    margin: 0px;
    padding: 5px;
    height: 20px;
    font-size: 18px;
    border-bottom: 1px solid black;
    background-color: #eeeeee;
    font-weight: normal;
}

div.prog h4 {
    margin: 0px;
    padding: 5px;
    height: 18;
    font-size: 16px;
    border-bottom: 1px solid black;
    background-color: #fafafa;
    font-weight: normal;
}

div.prog h4 .date {
    float: right;
    font-size: 11px;
}

div.prog .buttons {
    float: right;
    border-left: 1px solid black;
}

div.prog .button {
    border-bottom: 1px solid black;
    padding-top: 2px;
    opacity: 0.7;
}

div.prog .button:hover {
    opacity: 1.0;
}

div.prog .detail {
    position: relative;
    height: 190px;
}

div.prog img.i {
    position: absolute;
    width: 60%;
}

div.prog img.i1 {
    left: 5px;
    top: 5px;
    z-index: 10;
}

div.prog img.i2 {
    left: 45px;
    top: 10px;
    z-index: 8;
}

div.prog img.i3 {
    left: 85px;
    top: 15px;
    z-index: 6;
}

div.prog .desc {
    height: 44px;
    margin-top: 2px;
    overflow: auto;
    border-top: 1px solid black;
    font-size: 10px;
    padding: 1px;
}

</style>

<script>

"use strict";

( function ( window, document, undefined )
{

var facets = {};

window.recordtv = {};

function category( inp )
{
    return inp.id.split( "_" )[1];
}

function value( inp )
{
    return inp.id.split( "_" )[2];
}

function all_checked( facet_cat )
{
    for ( var val in facet_cat )
    {
        if ( val !== "all" )
        {
            if ( !facet_cat[val].checked )
            {
                return false;
            }
        }
    }
    return true;
}

window.recordtv.facetsChanged = function( inp )
{
    var cat = category( inp );

    if ( value( inp ) === "all" )
    {
        for ( var val in facets[cat]  )
        {
            if ( val !== "all" )
            {
                facets[cat][val].checked = inp.checked;
            }
        }
    }
    else
    {
        facets[cat]["all"].checked = all_checked( facets[cat] );
    }
}

window.recordtv.deleteProg = function( prog )
{
    console.log( prog );
}

window.recordtv.playProg = function( prog )
{
    console.log( prog );
}

window.recordtv.bringToFront = function( el )
{
    var spl = el.id.split( "_" );
    var num = spl[2];
    var pref = spl[0] + "_" + spl[1] + "_";

    function e( num ) { return document.getElementById( pref + num ); }

    var els = [ e("1"), e("2"), e("3") ];

    var z;
    switch( parseInt( num ) )
    {
        case 2:  z = [  8, 10,  6 ]; break;
        case 3:  z = [  6,  8, 10 ]; break;
        default: z = [ 10,  8,  6 ]; break;
    }

    for ( var i = 0; i < 3; ++i )
    {
        els[i].style.zIndex = z[i];
    }
}

window.recordtv.load = function()
{
    facets = {};
    var inps = document.getElementsByTagName( "input" );
    var i;
    for ( i = 0; i < inps.length; ++i )
    {
        var inp = inps[i];
        var cat = category( inp );

        if ( ! ( cat in facets ) )
        {
            facets[cat] = {};
        }

        facets[cat][ value( inp ) ] = inps[i];
    }
}

} )( window, document );

</script>

</head>

<body onload="recordtv.load();">

<div class="facets">
<ul>
    <li><input id="check_age_all"      type="checkbox" checked onchange="recordtv.facetsChanged(this);"><label for="check_age_all" class="all">all</label></li>
    <li><input id="check_age_grownups" type="checkbox" checked onchange="recordtv.facetsChanged(this);"><label for="check_age_grownups">grownups</label></li>
    <li><input id="check_age_kids"     type="checkbox" checked onchange="recordtv.facetsChanged(this);"><label for="check_age_kids">kids</label></li>
</ul>
</div>

<div class="prog">
<h3>Doctor Who</h3>
<h4>Revenge of the Daleks<span class="date">Wed 3rd Jan 2014</span></h4>
<div class="detail">
<div class="buttons">
<div class="button delete"><a href="#" onclick="recordtv.deleteProg(this);"><img src="delete.png"/></a></div>
<div class="button play"  ><a href="#" onclick="recordtv.playProg(this);"><img src="play.png"/></a></div>
</div>
<img class="i i1" id="i_doctorwho_1" src="doctor-who-1.png" onclick="recordtv.bringToFront(this);"/>
<img class="i i2" id="i_doctorwho_2" src="doctor-who-2.png" onclick="recordtv.bringToFront(this);"/>
<img class="i i3" id="i_doctorwho_3" src="doctor-who-3.png" onclick="recordtv.bringToFront(this);"/>
</div>
<div class="desc">Enter a description and info here with some detail.  Enter a description and info here with some detail.  Enter a description and info here with some detail.  Enter a description and info here with some detail.  Enter a description and info here with some detail.  Enter a description and info here with some detail.  Enter a description and info here with some detail.  Enter a description and info here with some detail.</div>
</div>

</body>

</html>

